May 2017 CU for SharePoint Server 2016 is available for download


The product group released the May 2017 Cumulative Update for SharePoint Server 2016 product family.
This CU also includes Feature Pack 1 which was released with November 2016 CU.

The KB articles for May 2017 CU are available at the following location:

  • KB 3191880 - May 2017 Update for SharePoint Server 2016 (language independent) – this is also a security update!
  • KB 3191884 - May 2017 Update for SharePoint Server 2016 (language dependent fixes)
  • KB 3191915 - May 2017 Update for Office Online Server 2016 – this is also a security update!

The download for May 2017 CU is available through the following link:

Be aware that as well the language independent and the language dependent fix is required to fully patch a SharePoint server as each SharePoint installation comes with a language independent component and a language dependent component. If additional language pack are added later (only) the language dependent fix has to be applied again.

It is irrelevant which language you pick on the drop down in download center. Even the language dependent fixes are all in the same package for all languages.

After installing the fixes you need to run the SharePoint 2016 Products Configuration Wizard on each machine in the farm. If you prefer to run the command line version psconfig.exe ensure to have a look here for the correct options.

SharePoint 2016 May 2017 CU Build Numbers:

Language Independent fix: 16.0.4534.1000
Language Dependent fix: 16.0.4534.1000

To understand the different version numbers please have a look at my article which explains the different SharePoint build numbers.

You can use the SharePoint Server 2016 Patch Build Numbers Powershell Module to identify the patch level of all SharePoint components.

Related Links:

Comments (10)

  1. Erin says:

    Having trouble understanding a simple step in this: On a 2016 farm patched to SP1, do I just need the language independent fixes executable(KB 3191880) or do i need to install both sets of executables (KB 3191880+3191884) to be fully patched?

    1. Hi Erin,
      as written in this blog post: “Be aware that as well the language independent and the language dependent fix is required to fully patch a SharePoint server as each SharePoint installation comes with a language independent component and a language dependent component.”
      Cheers,
      Stefan

  2. Andre Radtke says:

    Hi Stefan,
    again, a great blog and a very important ressource for my daily Job.

    Just to be very accurate. At first I have to install the “language dependent” fixes, then the “language Independent” fixes and then I run the config wizard GUI? Is this order correct, or do I have to run the config wizard after dependent fixes and then again after applying Independent fixes….. please release this knot in my head 🙂 🙂 🙂

    Greeting Andre

    1. Hi Andre,
      the order of the installation does not matter. Just ensure to run PSConfig after both of these fixes were installed.
      Cheers,
      Stefan

      1. AR-Oldenburg says:

        Great thanks Stefan!

        BTW: I didn´t get a mail even I checked the box to get informed by post reply….. I was informed by a colleague that you replied to my question ^^

        Cheers Andre

  3. D H says:

    Do anyone have a trouble patching Office Online Server? I clean install Office Online Server (March 2017) and Thai language pack (March 2017) but it seems unsuccessful. I need to remove the language pack so that I can successfully apply the patch.

  4. Nitin says:

    Hi Stefan,

    As i understand this update fix issue with email messages. In our case , email alerts when new user is added to SharePoint group is not working. And any alert on list/library is not working as well. Emails from workflows ( nintex ) are working.
    Error in logs: SSL policy errors have been encountered.Error: Exception while sending email: System.Security.Authentication.AuthenticationException: The remote certificate is invalid according to the validation procedure.
    Does this looks like the error which can be fixed with May update /
    Thank You

    1. Hi Nitin,
      the error message you listed indicates a problem with a certificate. That’s not something we can fix in a hotfix.
      Maybe your certification used the old unsafe SHA-1 cipher? Support for this was recently retired in most browsers and other products.
      Cheers,
      Stefan

      1. Nitin says:

        Thank you for the response. I did checked with exchange team and they are still using SHA1. And Root authority is on SHA1 as well.
        So it seems the issue we have might be related to SHA1 certificates.

  5. Matteo Zamori says:

    Hi All,
    anyone is experiencing issue with the “My Language And Region” tab after having applied May 2017 CU ?
    Pointing directly to the site is working https://site.domain.com/_layouts/15/regionalsetng.aspx?type=user however if yo click on the SP link it’s spinning but nothing happen
    Rgds
    M

Skip to main content